package org.kar.karanage.api;

import org.kar.archidata.filter.GenericContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.kar.archidata.model.User;
import org.kar.karanage.model.UserKaranage;

import com.fasterxml.jackson.annotation.JsonInclude;

import org.kar.archidata.SqlWrapper;
import org.kar.archidata.annotation.security.RolesAllowed;

import jakarta.ws.rs.*;
import jakarta.ws.rs.core.Context;
import jakarta.ws.rs.core.MediaType;
import jakarta.ws.rs.core.SecurityContext;
import java.util.List;


@Path("/users")
@Produces({MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON})
public class UserResource {
	final Logger logger = LoggerFactory.getLogger(UserResource.class);

	@JsonInclude(JsonInclude.Include.NON_NULL)
	public class UserOut {
		public long id;
		public String login;
		public UserOut(long id, String login) {
			super();
			this.id = id;
			this.login = login;
		}
		
	}
    public UserResource() {
    }

    // curl http://localhost:9993/api/users
    @GET
    @RolesAllowed("ADMIN")
    public List<UserKaranage> getUsers() {
        System.out.println("getUsers");
        try {
			return SqlWrapper.gets(UserKaranage.class, false);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return null;
    }

    // curl http://localhost:9993/api/users/3
    @GET
    @Path("{id}")
    @RolesAllowed("ADMIN")
    public UserKaranage getUsers(@Context SecurityContext sc, @PathParam("id") long userId) {
        System.out.println("getUser " + userId);
        GenericContext gc = (GenericContext) sc.getUserPrincipal();
        System.out.println("===================================================");
        System.out.println("== USER ? " + gc.userByToken.name);
        System.out.println("===================================================");
        try {
			return SqlWrapper.get(UserKaranage.class, userId);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
        return null;
    }

    @GET
    @Path("me")
    @RolesAllowed("USER")
    public UserOut getMe(@Context SecurityContext sc) {
        logger.debug("getMe()");
        GenericContext gc = (GenericContext) sc.getUserPrincipal();
        logger.debug("== USER ? {}", gc.userByToken);
        return new UserOut(gc.userByToken.id, gc.userByToken.name);
    }

}
































