package org.kar.karanage.model;

import org.kar.archidata.annotation.SQLComment;
import org.kar.archidata.annotation.SQLForeignKey;
import org.kar.archidata.annotation.SQLIfNotExists;
import org.kar.archidata.annotation.SQLLimitSize;
import org.kar.archidata.annotation.SQLTableName;
import org.kar.archidata.model.GenericTable;

import com.fasterxml.jackson.annotation.JsonInclude;

@SQLTableName ("applicationToken")
@SQLIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ApplicationToken extends GenericTable {
    @SQLComment("Group of the element")
    @SQLForeignKey("group")
    public long group;
    @SQLLimitSize(256)
    @SQLComment("Token Of the application (must be use by only one application)")
    public String token = null;
    @SQLComment("Description of the Group")
    @SQLLimitSize(1024)
    public String description;
}
