package org.kar.karanage.model;

import java.sql.Timestamp;

import org.kar.archidata.annotation.SQLAutoIncrement;
import org.kar.archidata.annotation.SQLComment;
import org.kar.archidata.annotation.SQLDefault;
import org.kar.archidata.annotation.SQLForeignKey;
import org.kar.archidata.annotation.SQLIfNotExists;
import org.kar.archidata.annotation.SQLLimitSize;
import org.kar.archidata.annotation.SQLNotNull;
import org.kar.archidata.annotation.SQLPrimaryKey;
import org.kar.archidata.annotation.SQLTableName;
import org.kar.archidata.annotation.SQLUpdateTime;

import com.fasterxml.jackson.annotation.JsonInclude;


@SQLTableName ("log")
@SQLIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DataLog {
    @SQLAutoIncrement // Add AUTO_INCREMENT modifier
    @SQLPrimaryKey // Create a PRIMARY KEY based on this field
    @SQLNotNull
    @SQLComment("Primary key of the base")
	public Long id = null;
    @SQLUpdateTime
    @SQLNotNull
    @SQLDefault("now(3)")
    @SQLComment("When update the object")
	public Timestamp create_date = null;
    @SQLComment("Group of the element")
    @SQLForeignKey("group")
    public long group;
    // TODO: use external system ID table ==> simplify the table complexity
    @SQLLimitSize(256)
    @SQLComment("System of the message")
    public String system = null;
    @SQLComment("Client internal UUID")
    public Long clientUuid;
    @SQLComment("Client unique internal ID (for synchronization system)")
    public Long clientId = null;
    @SQLComment("Message to store")
    @SQLNotNull
    public String data = null;
}