package org.kar.karanage.model;

import org.kar.archidata.annotation.SQLComment;
import org.kar.archidata.annotation.SQLIfNotExists;
import org.kar.archidata.annotation.SQLLimitSize;
import org.kar.archidata.annotation.SQLNotNull;
import org.kar.archidata.annotation.SQLTableName;
import org.kar.archidata.model.GenericTable;

import com.fasterxml.jackson.annotation.JsonInclude;

@SQLTableName ("group")
@SQLIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Group extends GenericTable {
    @SQLNotNull
    @SQLLimitSize(256)
    @SQLComment("Name of the group.")
    public String name;
    @SQLComment("Description of the Group")
    @SQLLimitSize(1024)
    public String description;
}
