package org.kar.karanage.model;

import org.kar.archidata.annotation.SQLComment;
import org.kar.archidata.annotation.SQLDefault;
import org.kar.archidata.annotation.SQLIfNotExists;
import org.kar.archidata.annotation.SQLNotNull;
import org.kar.archidata.annotation.SQLTableName;

import com.fasterxml.jackson.annotation.JsonInclude;


enum State {
	OK, FAIL, UNSTABLE, RETRIEVING, HAPPY, FULL, EMPTY
}
enum TypeData {
	NUMBER, BOOLEAN, JSON, STRING
}

@SQLTableName ("stateHistory")
@SQLIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class StateHistory extends StateInstant {
	// default constructor
	public StateHistory() {
		
	}
	public StateHistory(StateInstant other) {
		this.group = other.group;
		this.topic = other.topic;
		this.state = other.state;
		this.data = other.data;
	}
	
    @SQLComment("First message of the years (in GMT time)")
    @SQLNotNull
    @SQLDefault("0")
    public boolean year = false;
    @SQLComment("First message of the month (in GMT time)")
    @SQLNotNull
    @SQLDefault("0")
    public boolean month = false;
    @SQLComment("First message of the week: monday (in GMT time)")
    @SQLNotNull
    @SQLDefault("0")
    public boolean week = false;
    @SQLComment("First message of the day (in GMT time)")
    @SQLNotNull
    @SQLDefault("0")
    public boolean day = false;
    @SQLComment("First message of the hour (in GMT time)")
    @SQLNotNull
    @SQLDefault("0")
    public boolean hour = false;
}