package org.kar.karanage.model;

import java.sql.Timestamp;

import org.kar.archidata.annotation.SQLAutoIncrement;
import org.kar.archidata.annotation.SQLComment;
import org.kar.archidata.annotation.SQLForeignKey;
import org.kar.archidata.annotation.SQLIfNotExists;
import org.kar.archidata.annotation.SQLLimitSize;
import org.kar.archidata.annotation.SQLNotNull;
import org.kar.archidata.annotation.SQLPrimaryKey;
import org.kar.archidata.annotation.SQLTableName;
import org.kar.archidata.annotation.SQLUpdateTime;

import com.fasterxml.jackson.annotation.JsonInclude;

@SQLTableName ("state")
@SQLIfNotExists
@JsonInclude(JsonInclude.Include.NON_NULL)
public class StateInstant {
    @SQLAutoIncrement // Add AUTO_INCREMENT modifier
    @SQLPrimaryKey // Create a PRIMARY KEY based on this field
    @SQLNotNull
    @SQLComment("Primary key of the base")
	public Long id = null;
    
    // TODO: werll managed of the not read and not set update time at @now() si c'est pas bon ..
    
    //@SQLNotRead
    @SQLUpdateTime
    @SQLNotNull
    @SQLComment("When update the object")
	public Timestamp modify_date = null;
    @SQLComment("Group of the element")
    @SQLForeignKey("group")
    public long group;
    @SQLLimitSize(256)
    @SQLComment("Topic of the message")
    public String topic = null;
    @SQLComment("State of the message")
    @SQLLimitSize(25)
    //public State state = null;
    public String state = null;
    @SQLComment("Message to store")
    public String data = null;
}